// @license magnet:?xt=urn:btih:0b31508aeb0634b347b8270c7bee4d411b5d4109&dn=agpl-3.0.txt AGPL-3.0

/*
 *        interstellar_development website
 *        Copyright (C) 2024 interstellar_development
 *
 *        This program is free software: you can redistribute it and/or modify
 *        it under the terms of the GNU Affero General Public License as
 *        published by the Free Software Foundation, either version 3 of the
 *        License, or (at your option) any later version.
 *
 *        This program is distributed in the hope that it will be useful,
 *        but WITHOUT ANY WARRANTY; without even the implied warranty of
 *        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *        GNU Affero General Public License for more details.
 *
 *        You should have received a copy of the GNU Affero General Public License
 *        along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
class Header extends HTMLElement {
  constructor() {
    super();
  }

  connectedCallback() {
    this.innerHTML = `
    <header>
      <div class="header-content">
        <div><a href="index.html" class="project-name">Interstellar Development</a></div>
        <button class="burger-menu" onclick="toggleMenu()">☰</button>
      </div>
    </header>
    <div class="div-menu">
        <ul class="menu">
          <li><a href="index.html#project">Our Projects</a></li>
          <li><a href="index.html#cards">Our Team</a></li>
          <li><a href="index.html#about">About us</a></li>
          <li><a href="index.html#vision">Our Vision</a></li>
        </ul>
    </div>
    `;
  }
}

customElements.define('header-component', Header);
// @license-end
